Subject: Re: bug#7146: (make-symbol "") issues

From: Frank <[email-masked]>
Date: Sat, 02 Oct 2010 22:14:53 -0600

Chong Yidong schrieb:

>Frank <[email-masked]> writes:
>
>  
>
>>1) Start `emacs -Q'
>>2) Load the file bug.el into a buffer via the menu
>>3) <M-x> byte-compile-file
>>4) <M-x> load-file bug.elc
>>5) <C-x b> *scratch*
>>6) (foo) *** emacs crashes or foo returns some odd number ***
>>    
>>
>
>I assume by (foo) you mean typing "(foo)" and doing C-j or C-x C-e.
>
>I'm afraid I don't see any crash.  The number 6 appears in the echo
>area, that's all.
>
>  
>
Yes I type (foo) in the *scratch* buffer and then <C-x C-e>

Well if everything runs good then "Hello World" should appear in the 
echo area, everything else is wrong!!!

As I said sometimes it crashes, sometimes it returns some number!